Subject: bug#4954: 23.1; Emacs hangs when two run-at-time calls in effect

From: Sullivan Beck <[email-masked]>
Date: Thu, 26 Aug 2021 17:30:33 -0400

I'm sorry, but this was so long ago that you should just go ahead and 
close it.

I believe I rewrote one to not use the run-at-time function, and that 
has resolved my problem.  However, I don't know if the base problem, 
whatever that was, still exists.

On 8/26/21 4:27 PM, Lars Ingebrigtsen wrote:
> [External Email]
> 
> Sullivan Beck <[email-masked]> writes:
> 
>> I wrote two simple emacs extensions, both of which use the run-at-time
>> function periodically write some information to a file. When one or the
>> other is loaded, emacs works fine. When both are loaded, emacs will work
>> fine for a while, and then suddently start behaving very sluggishly.
> 
> (I'm going through old bug reports that unfortunately weren't
> resolved at the time.)
> 
> Are you still seeing this issue in recent Emacs versions?  I can't
> remember seeing any similar reports...
> 
> --
> (domestic pets only, the antidote for overdose, milk.)
>     bloggy blog: https://urldefense.proofpoint.com/v2/url?u=http-3A__lars.ingebrigtsen.no&d=DwIBAg&c=sJ6xIWYx-zLMB3EPkvcnVg&r=aygi6L4ukZ6N8SXtTZL5hQ&m=GRdDIa5JQL6X0gnW-VFyECvmBhStsbmvCNSqHSjnXjA&s=6wGuYeUR3doHCZDMbrgIR7u3ELAQ6wscadF0_6g0JWM&e=
>